<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Real Estate</title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">

  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <script src="plugins/select2/js/select2.full.min.js"></script>

  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <script src="plugins/sweetalert2/sweetalert2.min.js"></script>

  <!-- Các file css tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <link rel="stylesheet" href="contactus.css">




</head>
<style>
  :root {
    --direction: -45deg;
  }

  body {
    margin: 0;
    padding: 0;
  }

  main {
    position: relative;
  }

  .main-effect {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 550px;
    background-size: cover;
    background-repeat: none;
  }

  .background {
    background-image: url(images/home2.jpg);
  }

  .foreground {
    background-image: url(images/home3.jpg);
    -webkit-mask-image: linear-gradient(var(--direction), rgb(0, 0, 0) 40%, rgba(0, 0, 0, 0) 60%);
    mask-image: linear-gradient(var(--direction), rgb(0, 0, 0) 40%, rgba(0, 0, 0, 0) 60%);
    -webkit-mask-position: 50% 50%;
    mask-position: 50% 50%;
  }
</style>

<body id="page-top">
  <!-- Navigation - Menu bar-->
  <nav class="navbar navbar-expand-lg fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand" href="index.html"><img src="images/logonhaxinh.jpg" id="logoimg"></a>
      <input type="checkbox" id="check">
      <label for="check">
        <i class="fas fa-bars" id="menu-bar-click"></i>
        <i class="fas fa-times" id="menu-bar-cancel"></i>
      </label>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item pt-1 align-self-center"><a
            class="nav-link text-white font-weight-bold px-4 to-slideshow-example" href="#">HOME</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <a class="nav-link text-white font-weight-bold px-4 to-property-content" href="#">TỔNG QUAN DỰ ÁN</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <a class="nav-link text-white font-weight-bold px-4 to-new-post" href="#">TIN MỚI NHẤT</a>
        </li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-utility"
            href="#">TIỆN ÍCH</a></li>
        <li class="nav-item pt-1 align-self-center"><a class="nav-link text-white font-weight-bold px-4 to-contact-us"
            href="#">LIÊN HỆ</a>
        </li>
        <li class="nav-item pt-1 align-self-center">
          <button class="btn btn-warning px-4" id="btn-new-post"><i
              class="fa-solid fa-arrow-up-from-bracket pr-2"></i>ĐĂNG TIN</button>
        </li>
        <li class="nav-item dropdown pt-1 align-self-center">
          <a class="nav-link px-4" data-toggle="dropdown">
            <span class="fa-stack fa-1x pl-2">
              <i class="fas fa-circle fa-stack-2x icon-background"></i>
              <i class="fa-solid fa-user fa-stack-1x"></i>
            </span>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
              <div class="text-center mt-1">
                <button class="btn btn-primary" id="btn-log-in"><i class="fa-solid fa-right-to-bracket"></i> Log
                  in</button>
              </div>
              <div class="text-center mt-1">
                <p id="ten-dang-nhap" style="font-family: Arial, Helvetica, sans-serif"></p>
                <button class="btn btn-danger" id="btn-log-out"><i class="fa-solid fa-right-from-bracket"></i> Log
                  out</button>
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
  </nav>
  <!-- Slideshow body -->
  <div class="container-fluid pt-5 mt-4 " id="slideshow-example" style="height: 450px;">
    <div class="row">
      <main id="main" class="container-fluid">
        <div class="background main-effect"></div>
        <div class="foreground main-effect"></div>
      </main>
    </div>
  </div>



  <!--blog-->
  <div class="container-fluid mt-5 pt-5 bg-dich-vu">
    <div class="col-sm-12 text-center p-5 mt-5 ">
      <h1 class="title-text-color text-center"><b>Dịch vụ</b></h1>
    </div>

    <div class="col-12 mb-5 pb-5">
      <div class="row">
        <div class="col-sm-4  " id="content-1">
          <p class="text-center"><img src="images/service-1.png" alt="ser1"></p>
          <h2 class="text-center">Đa dạng</h2>
          <p class="p-2">Số lượng , kiểu dáng mẫu nhà đa dạng , hiện đại hoá. <br>
            Những dự án nằm tại những vị trí vàng. Nằm cạnh phân khu thấp tầng view không bị che chắn, tạo không gian
            hài hòa với thiên nhiên.</p>

        </div>
        <div class="col-sm-4   " id="content-2">
          <p class="text-center"><img src="images/service-2.png" alt="ser2"></p>
          <h2 class="text-center">Chất lượng</h2>
          <p class="p-2">Sỡ hữu nội thất đầy đủ , tiêu chuẩn 5 sao , phong cách châu âu. <br>
            Với mức giá cực kỳ tốt và được đánh giá là cực "hời" dành cho các nhà đầu tư.</p>
        </div>
        <div class="col-sm-4  " id="content-3">
          <p class="text-center"><img src="images/service-3.png" alt="ser3"></p>
          <h2 class="text-center">An ninh</h2>
          <p class="p-2">Khu vực đảm bảo an ninh , có camera giám sát toàn khu vực.<br>
            Bảo vệ đông như quân nguyên đảm bảo không có nạn trộm cướp</p>
        </div>
        <!-- <div class="col-sm-3  " id="content-4">
          <h2 class="p-2 text-left">Khu vực</h2>
          <p class="p-2">Gần khu thương mại , gần bệnh viện , hệ thống trường liên cấp quốc tế.<br>
            Tạo nên khu phố hiện đại hoá,sở hữu mọi nhu cầu,đáp ứng tất cả về cuộc sống cho bạn.
          </p>
        </div> -->
      </div>
    </div>
  </div>

  <!--slide các mẫu nhà-->
  <div class="container-fluid mb-5 pb-5">
    <div class="col-sm-12">
      <h1 class="title-text-color text-center mb-5"><b>Mẫu nhà</b></h1>
      <div class="row mb-5 pb-5">
        <div class="col-sm-3" style="background-color: rgb(206, 239, 244);">
          <div class="text-center">
            <h2>TẠI SAO LẠI CHỌN CHÚNG TÔI:</h3>
          </div>
          <p><i class="fa-solid fa-check"></i> Là thương hiệu hàng đầu uy tín,mua bán hàng trăm công trình khắp các khu
            vực toàn nước</p>
          <p><i class="fa-solid fa-check"></i> Mẫu nhà đa dạng, hiện đại.</p>
          <p><i class="fa-solid fa-check"></i> Phong cách châu á thời thượng.</p>
          <p><i class="fa-solid fa-check"></i> Phong cách châu âu cổ kính</p>
          <p><i class="fa-solid fa-check"></i> Biệt thự , nhà ven biển , homeStay</p>
          <p><i class="fa-solid fa-check"></i> Đáp ứng tất cả yêu cầu của khách hàng</p>
          <p><i class="fa-solid fa-check"></i> Luôn lấy chữ tín làm nền tảng phát triển</p>
        </div>
        <div class="col-sm-9">
          <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
              <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
              <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
            </ol>
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-100" src="images/properties/properties1.png" alt="First slide" style="width:100%">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/properties/properties2.png" alt="Second slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/properties/properties3.png" alt="Third slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/properties/properties4.png" alt="Fourth slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/properties/properties5.png" alt="Fifth slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/properties/properties6.png" alt="Sixth slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-100" src="images/properties/properties7.jpg" alt="Seventh slide">
              </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
              <span class="carousel-control-prev-icon" aria-hidden="true"></span>
              <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
              <span class="carousel-control-next-icon" aria-hidden="true"></span>
              <span class="sr-only">Next</span>
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>



  <!--  Search Box -->
  <div class="container mt-5 pt-3" id="search-box">
    <div class="container ">
      <!-- <h1 class="title-text-color text-center" ><b>TÌM KIẾM DỰ ÁN</b></h1> -->
      <div class="row form-group">
        <input class="form-control text-center" id="search-project" type="text" placeholder="Tìm project theo tên">
      </div>
      <div class="row form-group mt-2">
        <div class="col-sm-4">
          <div class="row form-group">
            <div class="col-sm-4 text-center pt-2">
              <h6>Tỉnh thành</h6>
            </div>
            <div class="col-sm-8 form-group">
              <select id="select-province" class="form-control select2bs4">
                <option value="0" hidden>--Tên tỉnh thành--</option>
              </select>
            </div>
          </div>
        </div>
        <div class="col-sm-4">
          <div class="row form-group">
            <div class="col-sm-4 text-center pt-2">
              <h6>Quận</h6>
            </div>
            <div class="col-sm-8 form-group">
              <select id="select-district" class="form-control select2bs4" disabled>
                <option value="0" hidden>--Tên quận huyện--</option>
              </select>
            </div>
          </div>
        </div>
        <div class="col-sm-4 text-center">

          <button class="btn btn-warning px-5 py-2" id="btn-find-project"><i
              class="fa-solid fa-magnifying-glass-location"></i>Tìm kiếm</button>

        </div>
      </div>

    </div>
  </div>
  </div>

  <!-- 3. Property content -->
  <div class="container-fluid mb-5 paddding-navbar" id="property-content">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h1 class="title-text-color text-center"><b>Tổng quan dự án</b></h1>
      </div>
      <div class="row" id="real-estate-project">
      </div>
      <div class="page-container">
        <div id="pagination"></div>
        <input type="number" min="1" id="curpage" value="1" hidden />
      </div>
    </div>
  </div>
  <div class="container-fluid mb-5 paddding-navbar" id="new-post">
    <div class="container py-5">
      <div class="text-center mb-5">
        <h1 class="title-text-color text-center"><b>Tin mới nhất</b></h1>
        <div class="text-right">
          <a class=" px-5 py-2" style="cursor: pointer;font-weight: bold;" id="btn-all-post"><i
              class="fas fa-reply-all"></i> Tất cả bài đăng</a>
          <a class=" px-5 py-2" style="cursor: pointer;font-weight: bold;" id="btn-filter-your-post"><i
              class="fa-solid fa-filter"></i> 
            Bài đăng của bạn</a>
        </div>

      </div>
      <div class="row" id="current-real-estate">
      </div>

    </div>
  </div>



  <!-- 4. Tiện ích -->
  <div class="container paddding-navbar" id="utility">
    <h1 class="title-text-color text-center mb-5"><b>Nội thất chuẩn 5 sao châu âu</b></h1>
    <div class="row">
      <div class="col-sm-8 align-self-center">
        <div id="carouselExampleIndicators1" class="carousel slide" data-ride="carousel">
          <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators1" data-slide-to="0" class="active"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="1"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="2"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="3"></li>
            <li data-target="#carouselExampleIndicators1" data-slide-to="4"></li>
            <!-- <li data-target="#carouselExampleIndicators1" data-slide-to="5"></li> -->
            <li data-target="#carouselExampleIndicators1" data-slide-to="6"></li>
          </ol>
          <div class="carousel-inner">
            <div class="carousel-item active">
              <img class="d-block w-100" src="images/feat1.jpg" alt="First slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat2.jpg" alt="Second slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat3.jpg" alt="Third slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat4.jpg" alt="Forth slide" width="100%">
            </div>
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat5.jpg" alt="Fifth slide" width="100%">
            </div>
            <!-- <div class="carousel-item">
              <img class="d-block w-100" src="images/feat6.jpg" alt="Sixth slide" width="100%">
            </div> -->
            <div class="carousel-item">
              <img class="d-block w-100" src="images/feat7.jpg" alt="Seventh slide" width="100%">
            </div>
          </div>
          <a class="carousel-control-prev" href="#carouselExampleIndicators1" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators1" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
      <div class="col-sm-4" style="background-color: rgb(206, 239, 244);">
        <h5 class="mt-4 text-left" style="color: rgb(218 180 39);">PHONG CÁCH TỐI GIẢN:</h5>
        <p class="mb-2">Là một trong số các phong cách được yêu thích nhất mọi thời đại, phong cách tối giản sẽ khiến
          không gian văn phòng trở nên thanh thoát và tinh gọn hơn bao giờ hết. Ngày nay phong cách tối giản đã được đa
          dạng hoá với các gam màu phù hợp với màu sắc thương hiệu.</p>
        <h5 class="mt-5 text-left" style="color: rgb(218 180 39);">PHONG CÁCH HIỆN ĐẠI:</h5>
        <p class="mb-2">Ra đời tại Châu Âu, phong cách hiện đại mang màu sắc mới, hơi thở của sự phóng khoáng, tiện nghi
          cùng nét sang trọng cấu thành. Đây là phong cách được ưa chuộng nhất thế giới bởi vẻ đẹp mỹ miều mà nó đem
          lại. Trong nội thất văn phòng, phong cách hiện đại mang hơi thở mới cho văn phòng trở nên thanh lịch và trang
          trọng cùng với sự tiện nghi của thời đại.</p>
      </div>
    </div>
  </div>

  <!-- 5. Contact us -->
  <div class="container paddding-navbar" id="contact-us">
    <h1 class="title-text-color text-center mt-5"><b>LIÊN HỆ VỚI CHÚNG TÔI</b></h1>
    <div class="row">
      <div class="col-sm-6">
        <div class="map">
          <figure class="map">
            <iframe
              src="https://maps.googleapis.com/maps/embed?pb=!1m18!1m12!1m3!1d3919.2128415197762!2d106.71968101395133!3d10.795004161804393!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x317527c2f8f30911%3A0x36ac5073f8c91acd!2sLandmark%2081!5e0!3m2!1svi!2s!4v1663340781914!5m2!1svi!2s"
              width="100%" height="440" style="border:0;" allowfullscreen="" loading="lazy"
              referrerpolicy="no-referrer-when-downgrade"></iframe>
          </figure>
        </div>

      </div>
      <div class="col-sm-6">
        <div class="wrapper">
          <div class="title">
            <h2>Để lại thông tin để nhận được tư vấn ưu đãi</h2>
          </div>
          <div class="contact-form">
            <div class="input-fields">
              <input type="text" id="input-fullname" class="input" placeholder="Họ & Tên">
              <input type="text" id="input-email" class="input" placeholder="Email">
              <input type="number" id="input-phone" class="input" placeholder="Số điện thoại">
            </div>
            <div class="msg">
              <textarea id="inp-contract-message" placeholder="Lời nhắn"></textarea>
              <div class="btn-send"><a id="btn-send-contact">Gửi thông tin</a></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 6. footer -->
  <footer class="footer py-5 " id="footer-content">
    <div class="container text-dark">
      <div class="row align-items-center">
        <div class="col-sm-4"><b>Copyright &copy; Website 2022</b></div>
        <div class="col-sm-4 my-3">
          <div class="row">
            <h5 class="mt-2 ml-3">Follow us:</h5>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-twitter"></i></a>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="fab fa-facebook-f"></i></a>
            <a class="mx-2 mt-2 ml-3" href="#"><i class="text-danger fa-brands fa-youtube"></i></a>
          </div>
        </div>
        <div class="col-sm-4 mt-2  contact-text bg-dark bg-text-footer">
          <div class="text-white" style="font-weight: bold;">
            <h4>Thông tin liên hệ</h4>
            <p>Địa chỉ : 208 Đ. Nguyễn Hữu Cảnh, Phường 22, Bình Thạnh, Thành phố Hồ Chí Minh<br>
              Hotline : 18001234<br>
              Mail : thanhlnd@gmail.com
            </p>

          </div>
        </div>
      </div>
    </div>
  </footer>


</body>

<script>

  var slideshows = document.querySelectorAll('[data-component="slideshow"]');
  slideshows.forEach(initSlideShow);

  function initSlideShow(slideshow) {

    var slides = document.querySelectorAll(`#${slideshow.id} [role="list"] .slide`);

    var index = 0, time = 3500;
    slides[index].classList.add('active');

    setInterval(() => {
      slides[index].classList.remove('active');

      index++;
      if (index === slides.length) index = 0;

      slides[index].classList.add('active');

    }, time);
  };

  $(document).ready(function () {

      //xử lý search project theo tên
      $("#search-project").on("keyup", function () {
      var vSearchValue = $("#search-project").val();
      callApiToGetProjectByName(vSearchValue);
      var value = $(this).val().toLowerCase();
      $("#real-estate-project").filter(function () {
        $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
      });
    });


    //hiệu ứng main effect
    let c = 45;

    function draw() {
      document.documentElement.style.setProperty("--direction", c++ + "deg");
      requestAnimationFrame(draw);
    }

    requestAnimationFrame(draw);

  

    //gọi api search project theo tên
    function callApiToGetProjectByName(paramName) {
      "use strict"
      $.ajax({
        url: "http://localhost:8080/projects1/" + paramName,
        method: "GET",
        async: "false",
        success: function (paramResponseObj) {
          console.log(paramResponseObj);
          getProjectDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          callApiGetProject(0);
        }
      });
    }


    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    });

    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    const token = getCookie("token");

    var gUserId;
    var gTotalPage;
    var gRoles;
    const pg = document.getElementById("pagination");
    const curPage = document.getElementById("curpage");

    if (token != "") {
      $("#btn-log-in").hide();
    } else {
      $("#btn-log-out").hide();
      $("#btn-filter-your-post").hide();
      $("#btn-all-post").hide();
    }
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    callApiGetTotalPages();

    const valuePage = {
      truncate: true,
      curPage: 1,
      numLinksTwoSide: 1,
      totalPages: gTotalPage
    };

    onPageLoading();

    pg.onclick = (e) => {
      const ele = e.target;
      if (ele.dataset.page) {
        const pageNumber = parseInt(e.target.dataset.page, 10);

        valuePage.curPage = pageNumber;
        curPage.value = pageNumber;
        pagination(valuePage);
        callApiGetProject(pageNumber - 1);
        $('html, body').animate({
          scrollTop: $("#property-content").offset().top
        }, 1000);
      }
    };

    $(".to-slideshow-example").click(function () {
      $('html, body').animate({
        scrollTop: $("#slideshow-example").offset().top
      }, 1000);
    });

    $(".to-property-content").click(function () {
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });

    $(".to-new-post").click(function () {
      $('html, body').animate({
        scrollTop: $("#new-post").offset().top
      }, 1000);
    });

    $(".to-contact-us").click(function () {
      $('html, body').animate({
        scrollTop: $("#contact-us").offset().top
      }, 1000);
    });

    $(".to-utility").click(function () {
      $('html, body').animate({
        scrollTop: $("#utility").offset().top
      }, 1000);
    });

    //Set sự kiện cho nút login
    $("#btn-log-in").on("click", function () {
      window.location.href = "../AdminFrontEnd/index.html";
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function () {
      redirectToLogin();
    });

    //Set sự kiện cho nút đăng tin
    $("#btn-new-post").on("click", function () {
      if (token != "") {
        window.location.href = "add-realestate.html";
      } else {
        window.location.href = "../AdminFrontEnd/index.html";
      }
    });

    // gán xự kiện lấy data cho nút sửa tin
    $("#current-real-estate").on("click", ".btn-update-post", function () {
      if (token != "") {
        onBtnUpdateRealEstateClick(this);
      } else {
        window.location.href = "../AdminFrontEnd/index.html";
      }
    });

    // gán xự kiện lấy data của project
    $("#real-estate-project").on("click", ".project-detail", function () {
      onCardProjectDetailClick(this);
    });

    // gán xự kiện lấy data của project
    $("#real-estate-project").on("click", ".project-detail1", function () {
      onCardProjectDetail1Click(this);
    });

    // gán xự kiện lấy data của realEstate
    $("#current-real-estate").on("click", ".detail-real-estate", function () {
      onDetailRealEstateClick(this);
    });

    // gán sự kiện lấy data của realEstate
    $("#current-real-estate").on("click", ".detail-real-estate1", function () {
      onDetailRealEstate1Click(this);
    });

    // gắn sự kiện lấy dữ tất cả bài đăng
    $("#btn-all-post").on('click', function () {
      callApiGetCurrentListRealEstate();
    })

    // gán sự kiện lọc dữ liệu bài đăng của user
    $("#btn-filter-your-post").on("click", function () {
      callApiGetRealEstateByEmployeeId();
    });

    // gán xự kiện khi ô select thay đổi
    $("#select-province").on("change", function () {
      $("#select-district").html("");
      var bProvinceId = $(this).val();
      callApiGetDistrictByProvinceId(bProvinceId);
    });

    // gán xự kiện  nút tìm kiếm realEstate
    $("#btn-find-project").on("click", function () {
      $("#pagination").hide();
      onBtnFindProjectClick();
      $('html, body').animate({
        scrollTop: $("#property-content").offset().top
      }, 1000);
    });



    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      callApiGetUserIdByToken();

      callApiGetProject(0);

      callApiGetAllProvinces();

      callApiGetCurrentListRealEstate();

      pagination(valuePage);

    }

    function onCardProjectDetailClick(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValueId = $(paramDetail).children('input').val();
      //console.log(vValueId);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROJECT_DETAILS_URL = "project-details.html"
      var vUrlSiteToOpen = vPROJECT_DETAILS_URL + "?" + "projectId=" + vValueId;
      window.location.href = vUrlSiteToOpen;
    }

    function onCardProjectDetail1Click(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValueId = $(paramDetail).children('input').val();
      //console.log(vValueId);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROJECT_DETAILS_URL = "project-details.html"
      var vUrlSiteToOpen = vPROJECT_DETAILS_URL + "?" + "projectId=" + vValueId;
      window.location.href = vUrlSiteToOpen;
    }

    function onDetailRealEstateClick(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROPERTIES_DETAILS_URL = "properties-details.html"
      var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "realEstateId=" + vValue;
      window.location.href = vUrlSiteToOpen;
    }

    function onDetailRealEstate1Click(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      const vPROPERTIES_DETAILS_URL = "properties-details.html"
      var vUrlSiteToOpen = vPROPERTIES_DETAILS_URL + "?" + "realEstateId=" + vValue;
      window.location.href = vUrlSiteToOpen;
    }

    function onBtnUpdateRealEstateClick(paramDetail) {
      "use strict";
      // B1: Thu thập dữ liệu
      var vValue = $(paramDetail).children('input').val();
      //console.log(vValue);
      // B2: Kiểm tra dữ liệu(bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      callApiGetRealEstateById(vValue);
    }

    function onBtnFindProjectClick() {
      "use strict";
      // B1: Thu thập dữ liệu
      var vProvinceSelected = $("#select-province").val();
      var vDistrictSelected = $("#select-district").val();
      // B2: Kiểm tra dữ liệu (bỏ qua)
      // B3: xử lý hiển thị dữ liệu
      callApiGetProjectByProvinceIdAndDistrictId(vProvinceSelected, vDistrictSelected);

    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

    function callApiGetProject(paramPageNumber) {
      $.ajax({
        url: "http://localhost:8080/projectsList/page/" + paramPageNumber,
        method: "GET",
        async: "false",
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getProjectDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          //console.log(paramError);
        }
      });
    }

    // Hàm gọi api tất cả tỉnh thành
    function callApiGetAllProvinces() {
      $.ajax({
        url: "http://localhost:8080/provinces",
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToProvinceSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu district bằng province id
    function callApiGetDistrictByProvinceId(paramProvinceId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/districts/province/" + paramProvinceId,
        method: "GET",
        async: false,
        headers: {
          'Content-Type': 'application/json;charset=UTF-8',
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          loadDataToDistrictSelect(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu realestate bằng provinceid và districtid
    function callApiGetProjectByProvinceIdAndDistrictId(paramProvinceId, paramDistrictId) {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/projects/" + paramProvinceId + "/" + paramDistrictId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getProjectDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
          alertError("Không tìm thấy dự án BĐS nào.");
        }
      });
    }

    // Hàm xử lý gọi api lấy dữ liệu realestate bằng provinceid và districtid
    function callApiGetCurrentListRealEstate() {
      "use strict";
      $.ajax({
        url: "http://localhost:8080/currentListRealEstates",
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getRealEstateDataLoadToForm(paramResponseObj);
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    function callApiGetUserIdByToken() {
      $.ajax({
        url: "http://localhost:8080/findUserId/Token",
        type: 'GET',
        async: false,
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (responseObject) {
          //console.log(responseObject);
          gUserId = responseObject;
          callApiGetEmployeeByID(responseObject);
        },
        error: function (pAjaxContext) {
          //redirectToLogin();
        }
      });
    };

    // Hàm gọi api lấy dữ liệu realEstate bằng id
    function callApiGetRealEstateByEmployeeId() {
      $.ajax({
        url: "http://localhost:8080/realEstates/limit/employee/" + gUserId,
        method: "GET",
        async: false,
        headers: {
          "Authorization": "Token " + token,
        },
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          getRealEstateDataLoadToForm(paramResponseObj);
          if (token != "") {
            $(".btn-update-post").removeAttr('hidden');
          }

        },
        error: function (paramError) {
          //console.log(paramError);
          alertError("Không tìm thấy bài đăng của bạn")
        }
      });
    }

    function callApiGetRealEstateById(paramRealEstateId) {
      $.ajax({
        url: "http://localhost:8080/realEstates/" + paramRealEstateId,
        type: 'GET',
        dataType: "json",
        success: function (responseObject) {
          //console.log(responseObject);
          if (gUserId == responseObject.employee.employeeID) {
            const vUPDATE_REALESTATE_URL = "update-realestate.html"
            var vUrlSiteToOpen = vUPDATE_REALESTATE_URL + "?" + "realEstateId=" + paramRealEstateId;
            window.location.href = vUrlSiteToOpen;
          } else {
            alertError("Không phải Tin/Bài đăng của bạn.");
          }
        },
        error: function (pAjaxContext) {
          console.assert(pAjaxContext);
        }
      });
    };

    // Hàm gọi api lậy tổng số trang dự án
    function callApiGetTotalPages() {
      $.ajax({
        url: "http://localhost:8080/totalPageNumberProjects",
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          gTotalPage = paramResponseObj;
        },
        error: function (paramError) {
          //console.log(paramError);
        }
      });
    };

    // Load dữ liệu vào ô select trên modal create ward
    function loadDataToProvinceSelect(paramResponse) {
      "use strict";
      var vProvinceSelect = $("#select-province");
      for (let i = 0; i < paramResponse.length; i++) {
        var bOption = $("<option/>");
        bOption.prop("value", paramResponse[i].id);
        bOption.prop("text", paramResponse[i].name);
        vProvinceSelect.append(bOption);
      };
    }

    // Load dữ liệu phản hồi vào ô select
    function loadDataToDistrictSelect(paramResDistrictList) {
      "use strict";
      var vDistrictSelectElement = $("#select-district");
      if (paramResDistrictList.length > 0) {
        vDistrictSelectElement.prop("disabled", false);

        for (let i = 0; i < paramResDistrictList.length; i++) {
          var bDistrictOption = $("<option/>");
          bDistrictOption.prop("value", paramResDistrictList[i].id);
          bDistrictOption.prop("text", paramResDistrictList[i].name);
          vDistrictSelectElement.append(bDistrictOption);
        };
      } else {
        vDistrictSelectElement.prop("disabled", true);
      }
    }

    // Hàm lấy danh sách các realestate
    function getProjectDataLoadToForm(paramProjectList) {
      "use strict";
      $("#real-estate-project").html("");
      var vRealEstate = "";
      for (let bI = 0; bI < paramProjectList.length; bI++) {
        vRealEstate += `
        <div class="col-lg-4 card-group">
          <div class="card card-hover mb-4">
            <!-- Card Header-->
            <div class="card-img-top">
              <a class="project-detail" href="#">
                <input type="hidden" value="` + paramProjectList[bI].id + `">
                <img src="` + paramProjectList[bI].photo + `" class="rounded-top card-img-top">
              </a>
            </div>
            <!-- Card Body-->
            <div class="card-body">
              <div class="mt-2">
                <a class="project-detail1" href="#">
                  <input type="hidden" value="` + paramProjectList[bI].id + `">
                  <h4>` + paramProjectList[bI].name + `</h4>
                </a>
                <a class="mt-2 text-dark">Address: ` + paramProjectList[bI].address + `</a><br>
                <label class="mt-2">Tỉnh thành: ` + paramProjectList[bI]._district._province.name + `</label>
              </div>
              <ul class="mt-3 list-inline">
                <li class="list-inline-item border-dark border-right pr-3"><i class="fa-regular fa-square"></i>
                  ` + paramProjectList[bI].acreage + `m2</li>
                <li class="list-inline-item border-dark border-right pr-3 pl-2"><i class="fa-solid fa-city"></i> ` + paramProjectList[bI].numApartment + `</li>
                <li class="list-inline-item pr-3 pl-2"><i class="fa-solid fa-building"></i> ` + paramProjectList[bI].numBlock + `</li>
              </ul>
            </div>
          </div>
        </div>`;
        $("#real-estate-project").html(vRealEstate);
      }
    }

    // Hàm lấy danh sách các realestate
    function getRealEstateDataLoadToForm(paramRealEstate) {
      "use strict";
      $("#current-real-estate").html("");
      var vRealEstate = "";
      for (let bI = 0; bI < paramRealEstate.length; bI++) {
        vRealEstate += `
        <div class="col-lg-4 card-group">
          <div class="card card-hover mb-4">
            <!-- Card Header-->
            <div class="card-img-top">
              <a class="detail-real-estate" href="#">
                <input type="hidden" value="` + paramRealEstate[bI].id + `">
                <img src="` + paramRealEstate[bI].photo + `" class="rounded-top card-img-top">
              </a>
            </div>
            <!-- Card Body-->
            <div class="card-body">
              <div class="mt-2">
                <a class="detail-real-estate1" href="#">
                <input type="hidden" value="` + paramRealEstate[bI].id + `">
                  <h4>` + paramRealEstate[bI].apartCode + `</h4>
                </a>
                <p class="mt-2 text-dark">Địa chỉ: ` + paramRealEstate[bI].address + `</p>
                <p class="mt-2">Tạo bởi: <b class="text-danger">` + paramRealEstate[bI].employee.firstName + " " + paramRealEstate[bI].employee.lastName + `</b></p>
                <p class="mt-2">Added: ` + new Date(paramRealEstate[bI].dateCreate).toLocaleString() + `</p>
              </div>
              <ul class="mt-3 list-inline">
                <li class="list-inline-item border-dark border-right pr-3"><i class="fa-regular fa-square"></i>
                  ` + paramRealEstate[bI].acreage + `m2</li>
                <li class="list-inline-item border-dark border-right pr-3 pl-2"><i class="fa-solid fa-bed"></i> ` + paramRealEstate[bI].bedroom + `</li>
                <li class="list-inline-item pr-3 pl-2"><i class="fa-solid fa-bath"></i> ` + paramRealEstate[bI].bath + `</li>
              </ul>
            </div>
            <!-- Card Footer-->
            <div class="card-footer">
              <div class="row">
                <div class="col-sm-8">
                  <h4>Giá: ` + paramRealEstate[bI].price + ` USD</h4>
                </div>
                <div class="col-sm-4 text-right">
                  <a class="btn btn-primary btn-update-post" hidden href="#">Sửa tin
                    <input type="hidden" value="` + paramRealEstate[bI].id + `"></a>
                </div>
              </div>
            </div>
          </div>
        </div>`;
        $("#current-real-estate").html(vRealEstate);
        // if(gRoles == 2 || gRoles == 3){
        //   $(".btn-update-post").removeAttr('hidden');
        // }
        // if(token != "") {
        //   $(".btn-update-post").removeAttr('hidden');
        // }
      }
    }

    function redirectToLogin() {
      // Trước khi logout cần xóa token đã lưu trong cookie
      setCookie("token", "", 1);
      window.location.href = "../AdminFrontEnd/index.html";
    }

    //Hàm get Cookie
    function getCookie(cname) {
      var name = cname + "=";
      var decodedCookie = decodeURIComponent(document.cookie);
      var ca = decodedCookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') {
          c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
          return c.substring(name.length, c.length);
        }
      }
      return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
      var d = new Date();
      d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
      var expires = "expires=" + d.toUTCString();
      document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    // Hàm alert error
    function alertError(paramTitle) {
      "use strict";
      $(function () {
        var Toast = Swal.mixin({
          toast: false,
          position: 'top',
          showConfirmButton: false,
          timer: 3500
        });
        Toast.fire({
          icon: 'error',
          title: paramTitle,
        })
      });
    }

    // Hàm alert success
    function alertSuccess(paramTitle) {
      "use strict";
      $(function () {
        var Toast = Swal.mixin({
          toast: false,
          position: 'top',
          showConfirmButton: false,
          timer: 3500
        });
        Toast.fire({
          icon: 'success',
          title: paramTitle,
        })
      });
    }

    function pagination(paramValuePage) {
      const { totalPages, curPage, truncate, numLinksTwoSide: delta } = paramValuePage;

      const range = delta + 4; // use for handle visible number of links left side

      let render = "";
      let renderTwoSide = "";
      let dot = `<li class="pg-item"><a class="pg-link">...</a></li>`;
      let countTruncate = 0; // use for ellipsis - truncate left side or right side

      // use for truncate two side
      const numberTruncateLeft = curPage - delta;
      const numberTruncateRight = curPage + delta;

      let active = "";
      for (let pos = 1; pos <= totalPages; pos++) {
        active = pos === curPage ? "active" : "";

        // truncate
        if (totalPages >= 2 * range - 1 && truncate) {
          if (numberTruncateLeft > 3 && numberTruncateRight < totalPages - 3 + 1) {
            // truncate 2 side
            if (pos >= numberTruncateLeft && pos <= numberTruncateRight) {
              renderTwoSide += renderPage(pos, active);
            }
          } else {
            // truncate left side or right side
            if (
              (curPage < range && pos <= range) ||
              (curPage > totalPages - range && pos >= totalPages - range + 1) ||
              pos === totalPages ||
              pos === 1
            ) {
              render += renderPage(pos, active);
            } else {
              countTruncate++;
              if (countTruncate === 1) render += dot;
            }
          }
        } else {
          // not truncate
          render += renderPage(pos, active);
        }
      }

      if (renderTwoSide) {
        renderTwoSide =
          renderPage(1) + dot + renderTwoSide + dot + renderPage(totalPages);
        pg.innerHTML = renderTwoSide;
      } else {
        pg.innerHTML = render;
      }
    };

    function renderPage(index, active = "") {
      return ` <li class="pg-item ${active}" data-page="${index}">
        <a class="pg-link" href="#">${index}</a>
    </li>`;
    };

    // Hàm gọi api lấy dữ liệu employee bằng id
    function callApiGetEmployeeByID(paramEmployeeId) {
      $.ajax({
        url: "http://localhost:8080/employees/" + paramEmployeeId,
        method: "GET",
        async: false,
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          handlerUserDataResponse(paramResponseObj);
          gRoles = paramResponseObj.roles[0].id
        },
        error: function (paramError) {
          console.log(paramError);
        }
      });
    }

    function handlerUserDataResponse(paramUserData) {
      $("#ten-dang-nhap").html(paramUserData.username);
    }

    // gán sự kiện cho nút send tư vấn 
    $("#btn-send-contact").on("click", function () {
      var vInfo = {
        hoTen: "",
        email: "",
        phone: "",
        note: "",
        status: ""
      }
      getDataFromContact(vInfo);
      var vCheck = validateContact();

      if (vCheck == true) {
        callApiPostInfomationContact(vInfo);
      }
    });
    // lấy data từ form đăng ký
    function getDataFromContact(param) {
      param.hoTen = $("#input-fullname").val().trim();
      param.email = $("#input-email").val().trim();
      param.phone = $("#input-phone").val().trim();
      param.note = $("#inp-contract-message").val();
    }
    // check dữ liệu từ form đăng ký
    function validateContact() {
      if ($("#input-fullname").val() == "") {
        alert("Vui lòng nhập họ tên");
        return false;
      }
      else if ($("#input-email").val() == "") {
        alert("Vui lòng nhập email");
        return false;
      }
      else if ($("#input-phone").val() == "") {
        alert("Vui lòng nhập số điện thoại");
        return false;
      }
      return true;
    }

    // gọi api gởi thông tin đăng ký
    function callApiPostInfomationContact(paramInfo) {
      $.ajax({
        url: "http://localhost:8080/advises",
        method: "POST",
        contentType: "application/json; charset=utf-8",
        data:JSON.stringify(paramInfo),
        async: "false",
        success: function (paramResponseObj) {
          //console.log(paramResponseObj);
          alertSuccess("Đăng ký tư vấn thành công,chúng tôi sẽ sớm liên lạc với bạn");
          $("#input-fullname").val("");
          $("#input-email").val("");
          $("#input-phone").val("");
          $("#inp-contract-message").val("");
        },
        error: function (paramError) {
          console.log(paramError)
          alertError("Vui lòng kiểm tra lại các đăng ký")
        }
      });
    }



  });

</script>

</html>